如何将Golang从1.13降级到1.12

最近在研究golang,发现版本之间的差异性还是挺大的,这里分享下如何降级golang,这个方法有普遍适应性:

第一步:确认你的版本

~|⇒ go version
go version go1.13.4 darwin/amd64

第二步:安装你需要的版本

brew install go@1.12

第三步:unlink

~|⇒ brew unlink go
Unlinking /usr/local/Cellar/go/1.13.4... 3 symlinks removed

第四步:强制link

~|⇒ brew link --force go@1.12
Linking /usr/local/Cellar/go@1.12/1.12.9... 3 symlinks created

完成以上步骤你可以再check下版本,已经降级成功,注意这时候请清除你的缓存,特别是那些dependences,要清空缓存,重新下载。然后如果用goland,记得选择新的版本。

看完了?留个评分呗?
[1人评了分,平均: 5/5]

本站原创文章皆遵循“署名-非商业性使用-相同方式共享 3.0 (CC BY-NC-SA 3.0)”。转载请保留以下标注:

原文来源:《如何将Golang从1.13降级到1.12》

发表评论

电子邮件地址不会被公开。

返回顶部